SELECT DISTINCT 
   dbprimary_acc as swissprot, 
   stable_id as ensembl,
   gene.description as description
FROM xref, gene, gene_stable_id 
WHERE external_db_id=2200 
and xref_id=display_xref_id 
and gene.gene_id=gene_stable_id.gene_id
UNION DISTINCT
SELECT DISTINCT 
   dbprimary_acc as swissprot, 
   stable_id as ensembl,
   gene.description as description
FROM xref, transcript, gene, gene_stable_id 
WHERE external_db_id=2200 
and xref_id=transcript.display_xref_id
and gene.gene_id=transcript.gene_id 
and gene.gene_id=gene_stable_id.gene_id
